Bug 224553 - 2.6.19-1.2895.fc6 a total mess with SATA and IDE disk access
2.6.19-1.2895.fc6 a total mess with SATA and IDE disk access
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-26 08:31 EST by Pasi Sainio
Modified: 2008-02-07 23:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full message log from boot to freeze (75.48 KB, text/plain)
2007-01-26 08:31 EST, Pasi Sainio
no flags Details
Log with a freeze kernel 2.6.19-1.2911.fc6 (111.68 KB, text/plain)
2007-02-18 02:32 EST, Pasi Sainio
no flags Details
Log with working kernel 2.6.18-1.2869.fc6 (54.66 KB, text/plain)
2007-02-18 02:34 EST, Pasi Sainio
no flags Details

  None (edit)
Description Pasi Sainio 2007-01-26 08:31:44 EST
Description of problem:


Version-Release number of selected component (if applicable):2.6.19-1.2895.fc6


How reproducible:
After few minutes of running, usally with high CPU load

Steps to Reproduce:
1. No exact steps, has failed with bzip2 compressing large file, during
md-mirror sync, but also on completely idle box
2.
3.
  
Actual results:
Console session freezes completely, sometimes remote login works, shutdown
always freezes when trying to flush disks.  Same systems runs without error on
kernel version 2.6.18-1.2869.fc6

Expected results:


Additional info:
Lot's of errors in /var/log/messages:
...
Jan 26 09:14:43 ameeba kernel: hdb: dma_timer_expiry: dma status == 0x64
Jan 26 09:14:53 ameeba kernel: hdb: DMA interrupt recovery
Jan 26 09:14:53 ameeba kernel: hdb: lost interrupt
Jan 26 09:15:23 ameeba kernel: ata7.00: exception Emask 0x0 SAct 0x0 SErr 0x0
action 0x2 frozen
Jan 26 09:15:23 ameeba kernel: ata7.00: (BMDMA stat 0x64)
Jan 26 09:15:23 ameeba kernel: ata7.00: tag 0 cmd 0x25 Emask 0x4 stat 0x40 err
0x0 (timeout)
Jan 26 09:15:23 ameeba kernel: ata7: soft resetting port
Jan 26 09:15:24 ameeba kernel: ata7: SATA link up 1.5 Gbps (SStatus 113 SControl
300)
Jan 26 09:15:24 ameeba kernel: hdc: lost interrupt
Jan 26 09:15:44 ameeba kernel: hdd: dma_timer_expiry: dma status == 0x64
Jan 26 09:15:53 ameeba kernel: hda: lost interrupt
Jan 26 09:15:53 ameeba kernel: ata7.00: qc timeout (cmd 0xec)
Jan 26 09:15:53 ameeba kernel: ata7.00: failed to IDENTIFY (I/O error, err_mask=0x4)
Jan 26 09:15:53 ameeba kernel: ata7.00: revalidation failed (errno=-5)
Jan 26 09:15:53 ameeba kernel: ata7: failed to recover some devices, retrying in
5 secs
Jan 26 09:15:54 ameeba kernel: hdd: DMA interrupt recovery
Jan 26 09:15:54 ameeba kernel: hdd: lost interrupt
Jan 26 09:15:58 ameeba kernel: ata7: hard resetting port
Jan 26 09:15:59 ameeba kernel: ata7: SATA link up 1.5 Gbps (SStatus 113 SControl
300)
Jan 26 09:16:13 ameeba kernel: hdb: dma_timer_expiry: dma status == 0x64
...
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 280031559
Jan 26 09:17:05 ameeba kernel: raid1: sdd1: rescheduling sector 280031496
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646039
Jan 26 09:17:05 ameeba kernel: raid1: Disk failure on sdd1, disabling device. 
Jan 26 09:17:05 ameeba kernel:  Operation continuing on 1 devices
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
...
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646095
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646119
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646135
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646159
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:05 ameeba kernel: end_request: I/O error, dev sdd, sector 162646199
Jan 26 09:17:05 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:06 ameeba kernel: end_request: I/O error, dev sdd, sector 162646247
Jan 26 09:17:06 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:06 ameeba kernel: end_request: I/O error, dev sdd, sector 162646279
Jan 26 09:17:06 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000
Jan 26 09:17:06 ameeba kernel: end_request: I/O error, dev sdd, sector 162646311
Jan 26 09:17:06 ameeba kernel: sd 6:0:0:0: SCSI error: return code = 0x00040000

and so on
Comment 1 Pasi Sainio 2007-01-26 08:31:44 EST
Created attachment 146677 [details]
full message log from boot to freeze
Comment 2 Pasi Sainio 2007-02-06 06:32:39 EST
Hello

Nobody intrested in this, I cannot use the latest kernel as it freezes the box
in few hours.  This is quite reprodusable, although risking my md-raid, so if
you need more info, just ask, thanks.

   - Pasi -
Comment 3 Pasi Sainio 2007-02-18 02:29:44 EST
Same thing happens with 2.6.19-1.2911.fc6, will upload the log plus a log with
working 2.6.18-1.2869.fc6 kernel, could you please take a look?

One thing I noticed to be different is that my SATA disks are recognized in
different order, I have disks on both Silicon Image and Nvidia SATA ports.

This is Asus A8N-SLI Premium motherboard.
Comment 4 Pasi Sainio 2007-02-18 02:32:41 EST
Created attachment 148279 [details]
Log with a freeze kernel 2.6.19-1.2911.fc6
Comment 5 Pasi Sainio 2007-02-18 02:34:27 EST
Created attachment 148280 [details]
Log with working kernel 2.6.18-1.2869.fc6
Comment 6 Pasi Sainio 2007-03-07 12:28:15 EST
And the same think happens with 2.6.19-1.2911.6.4.fc6
Comment 7 Pasi Sainio 2007-03-25 05:21:23 EDT
No luck with 2.6.20-1.2925.fc6 either.
Comment 8 Pasi Sainio 2007-04-20 14:58:20 EDT
2.6.20-1.2944.fc6

how many of these I have to prove broken until someone pays attention?

  - Pasi -

Comment 9 Pasi Sainio 2007-06-18 01:16:21 EDT
Am I the only one with this problem...?!?
Comment 10 Jon Stanley 2008-01-07 20:54:02 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 11 Jon Stanley 2008-02-07 23:27:01 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.